@charset "UTF-8";
.pagination {
  justify-content: space-between;
}
@media (min-width: 440px) {
  .pagination {
    justify-content: center;
  }
}

.paging-sorting-ordering--top .paging-sorting-ordering__inner {
  padding-bottom: 0.5rem;
}
@media (min-width: 768px) {
  .paging-sorting-ordering--top .paging-sorting-ordering__inner {
    padding-bottom: 0.625rem;
  }
}
.paging-sorting-ordering--bottom {
  margin-bottom: 1.875rem;
}
.paging-sorting-ordering--bottom .paging-sorting-ordering__inner {
  padding-top: 0.5rem;
}
@media (min-width: 768px) {
  .paging-sorting-ordering--bottom .paging-sorting-ordering__inner {
    padding-top: 0.625rem;
  }
}

.page-item:first-child .page-link {
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
}
.page-item:last-child .page-link {
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
}
.page-item + .page-item {
  margin-left: 2px;
}
.page-item.page-prev + .page-item, .page-item + .page-item.page-next {
  margin-left: 10px;
}
@media (min-width: 992px) {
  .page-item.page-prev + .page-item, .page-item + .page-item.page-next {
    margin-left: 20px;
  }
}

.page-item__last-page-text::before {
  content: "/  ";
  color: rgba(60, 74, 96, 0.7);
}
.page-item__last-page-text::after {
  content: " " attr(data-text-page);
}

.page-item--input {
  display: flex;
  align-items: center;
  column-gap: 0.625rem;
}

.page-input {
  text-align: center;
  width: 3.75rem;
  font-weight: 700;
  height: 30px;
  padding: 0;
}
@media (pointer: coarse) {
  .page-input {
    height: 40px;
  }
}

.page-link {
  font-size: 1rem;
  width: 30px;
  height: 30px;
  line-height: 30px;
  border-radius: 8px;
  display: inline-flex;
  vertical-align: middle;
  text-align: center;
  justify-content: center;
  align-items: center;
  margin-left: 0;
}
.page-item.active .page-link {
  color: #1D3E66;
}
@media (pointer: coarse) {
  .page-link {
    font-size: 14px;
    width: 40px;
    height: 40px;
    line-height: 40px;
  }
}

/* ONLY ON LIST PAGES */
.product-num-col {
  color: rgba(60, 74, 96, 0.7);
}

.product-num__start::before {
  content: " / ";
}
.product-num__start::after {
  content: " - ";
}

.view-select {
  flex-shrink: 0;
}

.order__select-outer {
  --select-size: calc(1.875rem + 2px);
  border-radius: var(--bs-border-radius);
}
.order__select-outer:focus-within {
  outline: 1px solid #11253d;
  outline-offset: -1px;
  box-shadow: inset 0 0 0 calc(0.125rem + 1px) #a5b2c2;
}
.order__select-outer select {
  padding: 0.25rem;
  font-size: 0;
  border: none;
  width: var(--select-size);
  height: var(--select-size);
  direction: rtl;
  border: 1px solid transparent;
}
.order__select-outer select option {
  font-size: 1rem;
  direction: ltr;
}
.order__select-outer::after {
  display: none;
}
@supports (mask-size: cover) {
  .order__select-outer select {
    mask-repeat: no-repeat;
    mask-size: 62%;
    mask-position: center;
    background-color: #3C4A60;
  }
  .order__select-outer select:hover, .order__select-outer select:focus, .order__select-outer select:active {
    background-color: #1D3E66;
  }
  .order__select-outer select option {
    color: #3C4A60;
    background: white;
  }
}
@supports not (mask-size: cover) {
  .order__select-outer select {
    background-repeat: no-repeat;
    background-position: center;
    background-color: transparent;
    background-size: 1.125rem;
  }
  .order__select-outer select:hover, .order__select-outer select:focus, .order__select-outer select:active {
    background-color: transparent;
  }
}

.infinite-scroll-btn {
  margin-bottom: 1.25rem;
}

.page_artlist_next_link {
  height: 0;
  content-visibility: hidden;
}

.page_artlist_next_loading {
  -ms-flex-preferred-size: 0;
  flex-basis: 0;
  -webkit-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
  max-width: 100%;
}

.page_artlist_next_loading .page_content_ajax {
  min-height: 20rem;
  height: 100%;
}

.product__img-link {
  display: block;
}

.product__img-outer {
  position: relative;
  text-align: center;
}

.product.carousel-cell {
  padding-top: 15px;
  padding-bottom: 15px;
}

.product__inner {
  border-radius: 10px;
  height: 100%;
  position: relative;
  background-color: #ffffff;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  transition: box-shadow ease 0.4s;
}
@media (hover: hover) and (pointer: fine) {
  .product__inner:hover {
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
  }
}

.product__name {
  margin-bottom: 0;
  font-family: var(--bs-font-sans-serif);
  word-break: break-word;
}

.product__name-link {
  text-decoration: none;
}

.product__review {
  font-size: 12px;
  align-self: flex-start;
  text-decoration: none !important;
}
.product__review:focus-visible {
  box-shadow: 0 1px 0 0 currentColor;
}
.product__review:last-child {
  margin-bottom: 0;
}
.product__review::after {
  content: "(" attr(data-review-count) ")";
  color: rgba(60, 74, 96, 0.7);
}

.product__reviews-count {
  font-size: 0.75rem;
  color: rgba(60, 74, 96, 0.7);
  display: inline-block;
  align-self: baseline;
}

.product__reviews-avg {
  font-weight: 700;
  align-self: baseline;
}

.product__description-short {
  text-align: justify;
}

.product__main {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  gap: 0.25rem;
  contain: layout;
}

.not-stock__text, .not-buyable__text, .product__cart-login-btn-wrap {
  text-align: left;
  column-gap: 0.5em;
}

.not-stock__text, .not-buyable__text {
  padding: 10px 0;
  font-weight: 400;
  display: flex;
  align-items: center;
  line-height: 1.25;
  color: rgba(60, 74, 96, 0.7);
  font-size: 0.875rem;
}

/* BADGES */
.product__custom-statuses {
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
}

.product__badges {
  display: flex;
  flex-wrap: wrap;
  gap: 0.375rem;
}

.product__main-btn-col {
  flex-grow: 1;
  flex-shrink: 1;
  min-width: 0;
}

.product__cart-input-wrap {
  flex-grow: 1;
}

.product__cart-login-btn {
  line-height: 1.2;
  text-align: left;
}

.product__main-outer {
  margin-top: auto;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  row-gap: 10px;
}

.product__function-btns {
  display: inline-flex;
  justify-content: flex-end;
  gap: 0.5rem;
  align-items: center;
  /*pointer-events: none;*/
}

/* TYPES */
.product__types {
  line-height: 1;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: flex-start;
  gap: 0.375rem;
  width: 100%;
}

.product__type {
  display: inline-flex;
  align-items: baseline;
  flex-wrap: wrap;
  line-height: 1;
  max-width: 100%;
  gap: 0.375rem;
}
.product__type.type--color, .product__type.type--color_text {
  align-items: center;
  gap: 0.125rem;
}
.product__type ~ .product__type {
  margin-top: 0.5rem;
}

.product__type-value {
  padding: 0.125rem;
  border: 1px solid #e3e8ef;
  border-radius: 8px;
  background-color: #f4f6f9;
  color: #3C4A60;
  font-size: 0.75rem;
  font-weight: 700;
  flex-shrink: 0;
  max-width: 100%;
  transition: color 0.2s, background-color 0.2s, border-color 0.2s, box-shadow 0.2s;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none !important;
}
.product__type-value:hover, .product__type-value:focus, .product__type-value:focus-visible {
  border-color: #e3e8ef;
  background-color: #e3e8ef;
}
.type--color .product__type-value, .type--color_text .product__type-value {
  border-color: transparent;
  padding: 3px;
  min-width: auto;
  height: auto;
}
.type--color .product__type-value .product__type-option--color, .type--color_text .product__type-value .product__type-option--color {
  width: 20px;
  height: 20px;
  box-shadow: inset 0 0 0 2px #a5b2c2;
  border-radius: 8px;
  background-color: currentColor;
}
.type--icon .product__type-value, .type--pic .product__type-value, .type--piclink .product__type-value, .type--piclinktext .product__type-value {
  padding: 3px;
}
.type--icon .product__type-value:hover, .type--icon .product__type-value:focus, .type--icon .product__type-value:focus-visible, .type--pic .product__type-value:hover, .type--pic .product__type-value:focus, .type--pic .product__type-value:focus-visible, .type--piclink .product__type-value:hover, .type--piclink .product__type-value:focus, .type--piclink .product__type-value:focus-visible, .type--piclinktext .product__type-value:hover, .type--piclinktext .product__type-value:focus, .type--piclinktext .product__type-value:focus-visible {
  border-color: #3C4A60;
  background-color: transparent;
}
.type--color .product__type-value:hover, .type--color .product__type-value:focus, .type--color .product__type-value:focus-visible, .type--color_text .product__type-value:hover, .type--color_text .product__type-value:focus, .type--color_text .product__type-value:focus-visible, .type--icon .product__type-value:hover, .type--icon .product__type-value:focus, .type--icon .product__type-value:focus-visible {
  border-color: #3C4A60;
  background-color: transparent;
}
.product__type-value.product__type-more {
  background-color: transparent;
  border: none;
  color: inherit;
}

.product__sku {
  font-weight: 500;
  letter-spacing: 0.1em;
  font-size: 0.813rem;
  color: rgba(60, 74, 96, 0.7);
  line-height: 1.25;
  word-break: break-word;
}

.product__price-base-outer {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 0.5em;
}

.product__prices {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  gap: 0.25rem;
}

.product__params {
  line-height: 1.2;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 0.125rem;
}

.product__params-inner {
  white-space: nowrap;
}

.product__param-title-col {
  display: flex;
  justify-content: flex-end;
  align-items: baseline;
}

.product__param-title-tippy {
  font-weight: 600;
}

.product__param-title {
  padding-right: 0.5rem;
  color: rgba(60, 74, 96, 0.7);
  word-break: break-word;
  font-size: 0.875rem;
}
.product__param-title .info-icon {
  vertical-align: middle;
}

.product__param-value {
  font-weight: 500;
  font-size: 0.813rem;
}

.product__param-title, .product__param-value {
  flex: 0 0 auto;
  max-width: 100%;
}

.product__price-login-btn {
  font-size: 0.875em;
  text-align: left;
}
.product__price-login-btn br {
  display: none;
}

.product__price-unit {
  font-size: 0.75rem;
}

.product__prices-wrap {
  position: relative;
  z-index: 1;
}

.product__price-base, .product__price-sale {
  font-size: 1rem;
}

.has-price-sale .product__price-base {
  font-size: 0.75rem;
}

.product__price-sale-start, .product__price-sale-end {
  display: block;
}

.product__price-sale-infos, .product__discount-saving {
  color: #1D3E66;
}

.product__discount-saving__value, .product__discount-saving {
  font-weight: 700;
}

.product-variant {
  margin-bottom: 0.625rem;
}

.product__variants {
  width: 100%;
}
.product__variants .invalid-feedback {
  font-size: 0.75rem;
  margin-top: 0.15em;
}

.product__cart-unit {
  font-size: 0.625rem;
  text-align: left;
  margin-bottom: 0;
  min-width: 50%;
  line-height: 1;
  user-select: none;
}
.is-disabled .product__cart-unit {
  opacity: 0.5;
}

.product__param {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}
.product__param:not(.product__param-type--icon):not(.product__param-type--iconmore) {
  background-color: #f4f6f9;
  border-radius: 8px;
  padding: 0.125rem 0.25rem;
}
.product__param.color .product__param-value, .product__param.color_text .product__param-value {
  display: inline-flex;
  align-items: center;
}
.product__param.iconmore .product__param-value, .product__param.icon .product__param-value {
  display: flex;
  flex-wrap: wrap;
  gap: 0.125rem;
}

.product__param-type--icons, .product__param-type--iconmore {
  display: flex;
  flex-wrap: wrap;
  row-gap: 0.5rem;
  column-gap: 0.5rem;
}

.product__param-type--iconmore {
  display: inline-flex;
}

.product__param-type--iconmore .product__param-value, .product__param-type--icon .product__param-value {
  display: inline-flex;
  flex-wrap: wrap;
  row-gap: 0.5rem;
  column-gap: 0.5rem;
}
.product__param-type--iconmore .page_artdet_product_param_icon, .product__param-type--icon .page_artdet_product_param_icon {
  border: 1px solid #e3e8ef;
  padding: 4px;
  border-radius: 8px;
  font-size: 0.75rem;
  flex-shrink: 0;
  min-width: 1.5rem;
  text-align: center;
  max-width: 100%;
  transition-duration: 0.2s;
  box-sizing: content-box;
}

.product__param-type--color, .product__color {
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.1);
  background-color: currentColor;
  padding: 0;
  height: 1rem;
  width: 1rem;
  flex: 0 0 1rem;
  max-width: 1rem;
  display: inline-flex;
  border-radius: 3px;
}

.product__param-type--color-text {
  margin-left: 0.5rem;
  text-overflow: ellipsis;
  overflow: hidden;
}

.color_text .product__color {
  margin-right: 0.5em;
}

@media (max-width: 991.98px) {
  .product__btn-compare, .product__btn-tooltip {
    display: none;
  }
}
.gift--on_product_details .products.type--1 .product__data, .gift--on_product_details .products.type--2 .product__data, .package-offer .products.type--1 .product__data, .package-offer .products.type--2 .product__data {
  grid-template-rows: 1fr;
  gap: 0;
}
.gift--on_product_details .products.type--1 .product__variants, .gift--on_product_details .products.type--2 .product__variants, .package-offer .products.type--1 .product__variants, .package-offer .products.type--2 .product__variants {
  bottom: 0;
}
.gift--on_product_details .products.type--1 .product__name-wrap, .gift--on_product_details .products.type--2 .product__name-wrap, .package-offer .products.type--1 .product__name-wrap, .package-offer .products.type--2 .product__name-wrap {
  height: 100%;
}

.products.type--1:not(.carousel), .products.type--2:not(.carousel) {
  --bs-columns: 4;
}
.products.type--1 .product, .products.type--2 .product {
  --padding: 0.375rem;
}
.products.type--1 .product__cart-input-wrap, .products.type--2 .product__cart-input-wrap {
  width: 100%;
}
.products.type--1 .stickers[data-position*=above], .products.type--1 .stickers[data-position*=under], .products.type--2 .stickers[data-position*=above], .products.type--2 .stickers[data-position*=under] {
  padding: 0.25rem;
}
.products.type--1 .carousel-cell, .products.type--2 .carousel-cell {
  margin-right: 1.5rem;
}
.products.type--1 .product__img-outer, .products.type--2 .product__img-outer {
  margin: 0 auto;
}
.products.type--1 .product__inner, .products.type--2 .product__inner {
  margin: 0 auto;
  position: relative;
  display: flex;
  flex-direction: column;
  border-radius: 10px;
  overflow: hidden;
  container: card-width/inline-size;
}
.products.type--1 .is-variants-opened .product__main::after, .products.type--2 .is-variants-opened .product__main::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  height: var(--padding);
  background: #ffffff;
  border-radius: 0 0 10px 10px;
}
.products.type--1 .is-variants-opened .product__inner::after, .products.type--2 .is-variants-opened .product__inner::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.15);
  z-index: 7;
}
.products.type--1 .product__data, .products.type--2 .product__data {
  flex-grow: 1;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr auto;
  gap: 0.5rem;
  padding: var(--padding);
}
.products.type--1 .product__data:empty, .products.type--2 .product__data:empty {
  display: none;
}
.products.type--1 .product__lc-1, .products.type--2 .product__lc-1 {
  align-self: start;
  place-items: start;
}
.products.type--1 .product__lc-1, .products.type--1 .product__lc-2, .products.type--2 .product__lc-1, .products.type--2 .product__lc-2 {
  display: grid;
  grid-template-columns: 1fr;
  gap: 0.5rem;
}
.products.type--1 .product__name-wrap, .products.type--2 .product__name-wrap {
  display: grid;
  align-self: start;
  gap: 0.25rem;
}
.products.type--1 .product__name, .products.type--2 .product__name {
  font-weight: 500;
  font-size: 0.875rem;
}
.products.type--1 .product-main-btn[data-text]::before, .products.type--2 .product-main-btn[data-text]::before {
  content: attr(data-text);
}
.products.type--1 .product__details-btn[data-text]::after, .products.type--2 .product__details-btn[data-text]::after {
  display: none;
}
.products.type--1 .product__details-btn[data-text]::before, .products.type--2 .product__details-btn[data-text]::before {
  content: attr(data-text);
}
.products.type--1 .product__cart-input-col, .products.type--2 .product__cart-input-col {
  flex-grow: 1;
}
.products.type--1 .product-main-btn, .products.type--2 .product-main-btn {
  width: 100%;
  line-height: 1.2;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: left;
  height: 2.5rem;
  min-width: 2.5rem;
  padding: 0.3125rem clamp(10px, 10px, 0.75rem);
}
.products.type--1 .qtyminus_common, .products.type--1 .qtyplus_common, .products.type--2 .qtyminus_common, .products.type--2 .qtyplus_common {
  --qty-button-width: 2rem;
}
.products.type--1 .product__main, .products.type--2 .product__main {
  background: #ffffff;
  padding: 0 var(--padding);
  margin: 0 calc(var(--padding) * -1);
  z-index: 10;
}
.products.type--1 .product__main-btn-col, .products.type--2 .product__main-btn-col {
  display: flex;
  column-gap: 0.5rem;
}
.products.type--1 .product__cart-login-btn, .products.type--2 .product__cart-login-btn {
  font-size: 0.625rem;
}
.products.type--1 .product__custom-statuses, .products.type--2 .product__custom-statuses {
  margin-bottom: 0.5rem;
}
.products.type--1 .product__stock, .products.type--2 .product__stock {
  --min-font-size: 0.75rem;
  --max-font-size: 1rem;
  --opt-font-size: 5cqi;
  font-size: clamp(var(--min-font-size, 0.75em), var(--opt-font-size, 0.875em), var(--max-font-size, 1em));
}
.products.type--1 .product__sku, .products.type--2 .product__sku {
  --min-font-size: 0.625rem;
  --max-font-size: 0.813rem;
  --opt-font-size: 5cqi;
  font-size: clamp(var(--min-font-size, 0.75em), var(--opt-font-size, 0.75em), var(--max-font-size, 0.875em));
}
.products.type--1 .badge, .products.type--2 .badge {
  --min-font-size: 0.75rem;
  --max-font-size: 1rem;
  --opt-font-size: 5cqi;
  font-size: clamp(var(--min-font-size, 0.75em), var(--opt-font-size, 0.75em), var(--max-font-size, 0.875em));
}
.products.type--1 .product__badges, .products.type--1 .product__badges2, .products.type--2 .product__badges, .products.type--2 .product__badges2 {
  position: absolute;
  z-index: 5;
  pointer-events: none;
  top: 0.375rem;
  left: 0.375rem;
}
.products.type--1 .product__badges a, .products.type--1 .product__badges2 a, .products.type--2 .product__badges a, .products.type--2 .product__badges2 a {
  pointer-events: auto;
}
.products.type--1 .product__function-btns, .products.type--2 .product__function-btns {
  flex-direction: column;
  overflow: hidden;
  position: absolute;
  right: 0.5rem;
  bottom: 0.5rem;
  z-index: 5;
}
.products.type--1 .product__function-btns:has(> .active), .products.type--1 .product__function-btns:has(> :focus-visible), .products.type--1 .product__function-btns:has(> .page_art_func_compare_checked), .products.type--1 .product__function-btns:has(> .added), .products.type--2 .product__function-btns:has(> .active), .products.type--2 .product__function-btns:has(> :focus-visible), .products.type--2 .product__function-btns:has(> .page_art_func_compare_checked), .products.type--2 .product__function-btns:has(> .added) {
  transform: translateX(0);
  visibility: visible;
}
@media (hover: hover) and (pointer: fine) {
  .products.type--1 .product__function-btns, .products.type--2 .product__function-btns {
    transition: all cubic-bezier(0.33, 1, 0.68, 1) 0.3s;
    transform: translateX(130%);
    visibility: hidden;
  }
}
@media (hover: hover) and (pointer: fine) {
  .products.type--1 .product:hover .product__function-btns, .products.type--2 .product:hover .product__function-btns {
    transform: translateX(0);
    visibility: visible;
  }
}
.products.type--1 .product__param-value, .products.type--2 .product__param-value {
  text-align: right;
  margin-left: auto;
}
.products.type--1 .product__price-base, .products.type--1 .product__price-sale, .products.type--2 .product__price-base, .products.type--2 .product__price-sale {
  --min-font-size: 18px;
  --max-font-size: 28px;
  --opt-font-size: 8.75cqi;
  font-size: clamp(var(--min-font-size, 1.25em), var(--opt-font-size, 1.5em), var(--max-font-size, 1.75em));
}
.products.type--1 .has-price-sale .product__price-base, .products.type--2 .has-price-sale .product__price-base {
  --min-font-size: 14px;
  --max-font-size: 18px;
  --opt-font-size: 5.575cqi;
}
.products.type--1 .product__price-unit, .products.type--2 .product__price-unit {
  --min-font-size: 10px;
  --max-font-size: 12px;
  --opt-font-size: 5cqi;
  font-size: clamp(var(--min-font-size, 0.625em), var(--opt-font-size, 0.75em), var(--max-font-size, 0.875em));
}
.products.type--1 .product__variants, .products.type--2 .product__variants {
  position: absolute;
  bottom: 100%;
  left: 0;
  background-color: #ffffff;
  border-radius: 10px 10px 0 0;
  padding: 0.75rem;
  transition: transform ease 0.2s, opacity ease 0.2s, visibility ease 0s 0.2s;
  transform: translateY(100%);
  visibility: hidden;
  opacity: 0;
  z-index: 1;
}
.products.type--1 .product__variants.show, .products.type--2 .product__variants.show {
  visibility: visible;
  transform: translateY(0);
  opacity: 1;
  transition: transform ease 0.2s, opacity ease 0.2s;
}
.products.type--1 .product__variants-btn-close, .products.type--2 .product__variants-btn-close {
  margin-left: auto;
}
.products.type--1 .product__variants-header, .products.type--2 .product__variants-header {
  color: rgba(60, 74, 96, 0.7);
  font-size: 0.875rem;
  margin-bottom: 0.25rem;
  line-height: 1.25;
}
html.alt-images-on-product-list .products.type--1 .product__badges, html.alt-images-on-product-list .products.type--1 .stickers-wrap, html.alt-images-on-product-list .products.type--2 .product__badges, html.alt-images-on-product-list .products.type--2 .stickers-wrap {
  transition: opacity ease 0.25s;
}
html.alt-images-on-product-list .products.type--1 .is-paging .product__badges, html.alt-images-on-product-list .products.type--1 .is-paging .product__function-btns, html.alt-images-on-product-list .products.type--1 .is-paging .stickers-wrap, html.alt-images-on-product-list .products.type--2 .is-paging .product__badges, html.alt-images-on-product-list .products.type--2 .is-paging .product__function-btns, html.alt-images-on-product-list .products.type--2 .is-paging .stickers-wrap {
  opacity: 0;
}
html.alt-images-on-product-list .products.type--1 .is-hovered *, html.alt-images-on-product-list .products.type--2 .is-hovered * {
  cursor: none;
}
.products.type--1 .product__img-prev-btn, .products.type--1 .product__img-next-btn, .products.type--2 .product__img-prev-btn, .products.type--2 .product__img-next-btn {
  min-height: calc(1.875rem + 2px);
  min-width: calc(1.875rem + 2px);
  font-size: 0.875rem;
  border-radius: 8px;
  padding: 0;
  display: none;
}
@media (pointer: fine) {
  .products.type--1 .product__img-prev-btn, .products.type--1 .product__img-next-btn, .products.type--2 .product__img-prev-btn, .products.type--2 .product__img-next-btn {
    display: inline-flex;
  }
}
.products.type--1 .product__img-carousel, .products.type--2 .product__img-carousel {
  display: flex !important;
  align-items: center;
  overflow-x: auto;
  overflow-y: visible;
  scroll-snap-type: x mandatory;
  scroll-behavior: smooth;
  -webkit-overflow-scrolling: touch;
  overscroll-behavior-x: auto;
  will-change: scroll-position;
  touch-action: manipulation;
  user-select: none;
  scrollbar-width: none;
  -ms-overflow-style: none;
}
.products.type--1 .product__img-carousel::-webkit-scrollbar, .products.type--2 .product__img-carousel::-webkit-scrollbar {
  display: none;
  width: 0;
  height: 0;
}
.products.type--1 .product__img-carousel img, .products.type--2 .product__img-carousel img {
  flex: 0 0 100%;
  scroll-snap-align: center;
  scroll-snap-stop: always;
  object-fit: contain;
  max-height: var(--main-img-height);
}
.products.type--1 .product__img-carousel img.placeholder, .products.type--2 .product__img-carousel img.placeholder {
  mask-image: linear-gradient(90deg, #000000 55%, rgba(255, 255, 255, 0.25) 75%, #000000 95%);
  background-color: var(--bs-primary-100);
}
.products.type--1 .product__img-carousel::-webkit-scrollbar, .products.type--2 .product__img-carousel::-webkit-scrollbar {
  display: none; /* Chrome, Safari, iOS */
}
.products.type--1 .product__img-count, .products.type--2 .product__img-count {
  display: inline-flex;
  align-items: center;
  inset-inline: 0;
  margin-inline: auto;
  width: fit-content;
  background-color: rgba(255, 255, 255, 0.75);
  border-radius: 8px;
  position: absolute;
  bottom: 0.375rem;
  z-index: 5;
}
.products.type--1 .product__img-count span, .products.type--2 .product__img-count span {
  font-variant-numeric: tabular-nums;
  font-size: 0.75rem;
  user-select: none;
}
.products.type--1 .product__img-count span:only-child, .products.type--2 .product__img-count span:only-child {
  padding: 0 0.25rem;
}
@media (pointer: coarse) {
  .products.type--1 .product__img-count span, .products.type--2 .product__img-count span {
    padding: 0 0.25rem;
  }
}
@media (max-width: 417.98px) {
  .products.type--1 .product__cart-input-wrap, .products.type--2 .product__cart-input-wrap {
    --input-width: 1.625rem;
  }
  .products.type--1 .product__cart-login-btn, .products.type--2 .product__cart-login-btn {
    font-size: 0.75rem;
  }
}
@media (max-width: 439.98px) {
  .products.type--1 .cart-input-wrap, .products.type--2 .cart-input-wrap {
    --width: 1.625rem;
  }
}
@media (min-width: 576px) {
  .products.type--1 .product__main-btn-col, .products.type--2 .product__main-btn-col {
    column-gap: 0.625rem;
  }
  .products.type--1 .product__badges, .products.type--2 .product__badges {
    top: 0.5rem;
    left: 0.5rem;
  }
}
@supports (container-type: inline-size) {
  @container card-width (min-width: 200px) {
    .products.type--1 .product__param-title, .products.type--1 .product__param-value, .products.type--2 .product__param-title, .products.type--2 .product__param-value {
      flex: 0 0 50%;
      max-width: 50%;
    }
    .products.type--1 .product__param-value, .products.type--2 .product__param-value {
      text-align: left;
    }
    .products.type--1 .product__data, .products.type--2 .product__data {
      --padding: 0.5rem;
    }
    .products.type--1 .product__name, .products.type--2 .product__name {
      font-weight: 600;
      font-size: 1rem;
    }
  }
  @container card-width (min-width: 240px) {
    .products.type--1 .product__data, .products.type--2 .product__data {
      --padding: 0.625rem;
    }
    .products.type--1 .product__name, .products.type--2 .product__name {
      font-weight: 400;
      font-size: 1.25rem;
    }
  }
  @container card-width (min-width: 280px) {
    .products.type--1 .product__data, .products.type--2 .product__data {
      --padding: 0.75rem;
    }
    .products.type--1 .product__name, .products.type--2 .product__name {
      font-size: 1.375rem;
    }
  }
}
@supports not (container-type: inline-size) {
  @media (min-width: 440px) {
    .products.type--1 .product__param-title, .products.type--1 .product__param-value, .products.type--2 .product__param-title, .products.type--2 .product__param-value {
      flex: 0 0 50%;
      max-width: 50%;
    }
  }
}

.products.type--1 .page_artdet_product_param_pic, .products.type--1 .page_artdet_product_param_piclink, .products.type--1 .page_artdet_product_param_piclinktext {
  max-height: 48px;
  max-width: 48px;
}
.products.type--1:not(.carousel) {
  --bs-columns: 1;
}
@media (min-width: 440px) {
  .products.type--1:not(.carousel) {
    --bs-columns: 2;
  }
}
@media (min-width: 576px) {
  .products.type--1:not(.carousel) {
    --bs-columns: 3;
  }
}
@media (min-width: 992px) {
  .products.type--1:not(.carousel) {
    --bs-columns: 4;
  }
}

@media (min-width: 1240px) {
  .filter-exists.filter-box-in-sidebar .product-list-wrapper .type--1:not(.carousel), .filter-exists.filter-box-in-sidebar .category-product-list .type--1:not(.carousel), .filter-cache-exists.filter-box-in-sidebar .product-list-wrapper .type--1:not(.carousel), .filter-cache-exists.filter-box-in-sidebar .category-product-list .type--1:not(.carousel), .filter-box-content-exists.filter-box-in-sidebar .product-list-wrapper .type--1:not(.carousel), .filter-box-content-exists.filter-box-in-sidebar .category-product-list .type--1:not(.carousel) {
    --bs-columns: 3;
  }
}
@media (min-width: 1240px) {
  .filter-exists.filter-box-in-sidebar .product-list-wrapper .type--1 .product-list-wrapper .type--2:not(.carousel), .filter-exists.filter-box-in-sidebar .product-list-wrapper .type--1 .category-product-list .type--2:not(.carousel), .filter-exists.filter-box-in-sidebar .category-product-list .type--1 .product-list-wrapper .type--2:not(.carousel), .filter-exists.filter-box-in-sidebar .category-product-list .type--1 .category-product-list .type--2:not(.carousel), .filter-cache-exists.filter-box-in-sidebar .product-list-wrapper .type--1 .product-list-wrapper .type--2:not(.carousel), .filter-cache-exists.filter-box-in-sidebar .product-list-wrapper .type--1 .category-product-list .type--2:not(.carousel), .filter-cache-exists.filter-box-in-sidebar .category-product-list .type--1 .product-list-wrapper .type--2:not(.carousel), .filter-cache-exists.filter-box-in-sidebar .category-product-list .type--1 .category-product-list .type--2:not(.carousel), .filter-box-content-exists.filter-box-in-sidebar .product-list-wrapper .type--1 .product-list-wrapper .type--2:not(.carousel), .filter-box-content-exists.filter-box-in-sidebar .product-list-wrapper .type--1 .category-product-list .type--2:not(.carousel), .filter-box-content-exists.filter-box-in-sidebar .category-product-list .type--1 .product-list-wrapper .type--2:not(.carousel), .filter-box-content-exists.filter-box-in-sidebar .category-product-list .type--1 .category-product-list .type--2:not(.carousel) {
    --bs-columns: 5;
  }
}

.products.type--2 .product__param-title {
  font-size: 0.813rem;
}
.products.type--2 .page_artdet_product_param_pic, .products.type--2 .page_artdet_product_param_piclink, .products.type--2 .page_artdet_product_param_piclinktext {
  max-height: 32px;
  max-width: 32px;
}
.products.type--2 .carousel-cell {
  margin-right: 0.5rem;
}
.products.type--2:not(.carousel) {
  --bs-columns:2;
  gap: 0.5rem;
}
@media (min-width: 440px) {
  .products.type--2:not(.carousel) {
    --bs-columns:3;
  }
}
@media (min-width: 576px) {
  .products.type--2:not(.carousel) {
    --bs-columns:4;
  }
}
@media (min-width: 768px) {
  .products.type--2:not(.carousel) {
    --bs-columns:5;
  }
}
@media (min-width: 992px) {
  .products.type--2:not(.carousel) {
    --bs-columns:6;
  }
}
@media (min-width: 1240px) {
  .products.type--2:not(.carousel) {
    --bs-columns:7;
  }
}

@media (min-width: 1240px) {
  .filter-exists.filter-box-in-sidebar .product-list-wrapper .type--1, .filter-exists.filter-box-in-sidebar .category-product-list .type--1, .filter-cache-exists.filter-box-in-sidebar .product-list-wrapper .type--1, .filter-cache-exists.filter-box-in-sidebar .category-product-list .type--1, .filter-box-content-exists.filter-box-in-sidebar .product-list-wrapper .type--1, .filter-box-content-exists.filter-box-in-sidebar .category-product-list .type--1 {
    --bs-columns:3;
  }
}